/**
    Battery analyzer
    (c) 2016-2017 F. Štefanec
    This project is provided WITHOUT ANY WARRANTY, use at your own risk.
**/



#ifndef GLOBAL_DEFINES_H_INCLUDED
#define GLOBAL_DEFINES_H_INCLUDED


/** Other settings, masks... **/

#define DEBOUNCE_VAL 6 // 24ms
#define REPEAT_PERIOD 30 // 120ms
#define REPEAT_DELAY 250 // 1000ms

#define BTN_ESC 128
#define BTN_UP 64
#define BTN_DOWN 32
#define BTN_OK 16

#define stat_disch_enabled 128
#define stat_display_prog 64
#define stat_term_wait 32
#define stat_inside_menu 16
#define stat_rin_test 8
#define stat_inside_submenu 4
#define stat_ccload_enabled 2
#define stat_ccload_display 1

#define stat2_redraw_menu 128

#define settings_sound_on 128

#define TIME_PRESCALER_1000ms (F_CPU/256/1 - 1)
#define TIME_PRESCALER_250ms (F_CPU/256/4 - 1)

#define MIN_VOLTAGE 80
#define MAX_VOLTAGE 2000

#endif // GLOBAL_DEFINES_H_INCLUDED
